
%if 0%{?with_debug}
# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0
%global _find_debuginfo_dwz_opts %{nil}
%else
%global debug_package   %{nil}
%endif

%global golang_version 1.20.12
%global _buildhost build-ol%{?oraclelinux}-%{?_arch}.oracle.com

Name:      cri-tools
Version:   1.27.1
Release:   2%{?dist}
Vendor:    Oracle America
Summary:   CLI tool for Kubelet Container Runtime Interface
Group:     Development/Tools
License:   Apache-2.0

Source0: %{name}-%{version}.tar.bz2
BuildRequires: golang >= %{golang_version}
Provides: %{_sysconfdir}/cri-tools/1.27

%description
cri-tools are a utilities for Kubelet Container Runtime Interface runtimes, such as CRI-O.

%prep
%setup -q

%build
mkdir -p _output/src/github.com/kubernetes-incubator/
ln -s `pwd` _output/src/github.com/kubernetes-incubator/cri-tools
make binaries

%install
rm -rf %{buildroot}

# Create a version file so this project can be bounded as a dependency
install -dp %{buildroot}%{_sysconfdir}/cri-tools
touch %{buildroot}%{_sysconfdir}/cri-tools/1.27

make install BINDIR=%{buildroot}/usr/bin

%files
%license LICENSE THIRD_PARTY_LICENSES.txt
%defattr(-,root,root,-)
%{_sysconfdir}/cri-tools/1.27
/usr/bin/crictl
/usr/bin/critest

%changelog
* Mon Dec 18 2023 Michael Thompson <michael.a.thompson@oracle.com> - 1.27.1-2
- Address CVE-2023-39326, update golang version to 1.20.12

* Wed Jul 12 2023 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 1.27.1-1
- Added Oracle Specific Build Files for cri-tools
